#{extends 'border.html'/}
<style type="text/css">
    .one_full_a3 {
        float: none;
        overflow: hidden;
        width: 100%;
        margin: 0;
        padding:33px 0px 0px 0px;
        display:inline-block;
    }
</style>
<div class="container">*{id="web-detail-produk"}*

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			#{produkBreadcrumb produk?.produk_kategori_id, nama:produk?.nama_produk/}
			<!-- End Breadcrumb -->
            #{alert /}
		</div>
	</div>
	#{if produk != null}
        <div class="row">
            <!-- Top Detail -->
            <div class="top-detail">
                <div class="detail-wrapper">
                    <!-- Foto -->
                    <div class="col-md-4">
                        <div class="image-display">
                  			<img src="${produk?.getActiveImageUrl()}" class="img img-responsive" onerror="this.src='@{'/public/images/image-not-found.png'}';"/>
                  		</div>
                    </div>

					#{form @prakatalog.PersetujuanCtr.persetujuanProdukSubmit(), method:'POST', id:'formPersetujuan'}
                        #{authenticityToken/}
                        <input type="hidden" name="idProduk" value="${produk.id}"/>
                        <input type="hidden" name="penawaran_id" value="${produk.penawaran_id}"/>
                        <input type="hidden" name="setujuTolak" id="buttonValue" value=""/>

                        <!-- Deskripsi Produk -->
                        <div class="col-md-8 col-sm-12 col-xs-12">
                            <div class="row">
                            	<section>
	                                <h2 style="text-transform: uppercase">${produk?.nama_manufaktur} ${produk?.nama_produk}</h2>
	                                <p>${produk?.no_produk}</p>
                                    <p><a class="badge" href="@{masterdata.PenyediaCtr.infoPenyedia(produk?.penyedia_id)}">${produk?.penyedia?.nama_penyedia}</a></p>
	                                <p><span class="badge">${produk?.komoditas.nama_komoditas}</span></p>
	                            </section>
                            </div>
                            *{#{if produk?.getPrice() != "Rp 0,00"}}*
                            #{if hargaUtama != "Rp 0,00" && hargaUtama != ""}
                            <div class="row">
                            	<section>
                                    #{if produk.nama_kurs == 'IDR'}
                                        <h3 style="color: #B51930;">${produk?.getPrice()}</h3>
                                    #{/if}
                                    #{else}
                                        <h3 style="color: #B51930;">${produk?.harga_utama.formatCurrency(produk?.nama_kurs)}</h3>
                                    #{/else}
	                                <p><em>&{'perubahan_harga_terakhir.label'}
                                    #{if produk?.komoditas?.isRegency() || produk?.komoditas?.isProvince()}
                                    &{'wilayah.label'} ${produk?.daerah_name}
                                    #{/if}
                                    &{'pada_tanggal.label'} ${produk?.getPriceDateString()}</em>
                                    </p>
                            	</section>
                            </div>
                            #{/if}
                            *{<div class="row">}*
	                            *{<div class="col-md-12">}*
	                                *{#{if resultProdukGambar != null && resultProdukGambar.size() > 0}}*
	                                    *{<div id="carousel" class="carousel slide">}*
	                                        *{<div class="carousel-inner">}*
	                                            *{<div class="item active">}*
	                                                *{<div class="row">}*
	                                                    *{#{list resultProdukGambar, as:'pg'}}*
	                                                        *{<div class="col-xs-2">}*
	                                                            *{<a href="${pg}" data-toggle="lightbox" data-gallery="product-images">}*
	                                                            	*{<img src="${pg}" class="img img-responsive" />}*
	                                                            *{</a>}*
	                                                        *{</div>}*
	                                                    *{#{/list}}*
	                                                *{</div>}*
	                                            *{</div>}*
	                                        *{</div>}*
	                                        *{<a data-slide="prev" href="#carousel" class="left carousel-control">}*
	                                        	*{<i class="fa fa-chevron-circle-left"></i>}*
	                                        *{</a>}*
	                                        *{<a data-slide="next" href="#carousel" class="right carousel-control">}*
	                                        	*{<i class="fa fa-chevron-circle-right"></i>}*
	                                        *{</a>}*
	                                    *{</div>}*
	                                *{#{/if}}*
	                            *{</div>}*
	                        *{</div>}*
                            <div class="row">
                            	<ul class="btn-inline">
                                    #{if produk?.komoditas?.isRegency()}
                                        <li>
                                            <b>&{'pilih_lokasi_harga.label'}</b>
                                            <select class="form-control select2 lokasi" style="width: 20%">
                                                <option>&{'pilih.label'}</option>
                                                #{list kabupatenList, as:'k'}
                                                    <option value="${k.id}">${k.nama_kabupaten}</option>
                                                #{/list}
                                            </select>
                                        </li><br><br>
                                    #{/if}
                                    #{if produk?.komoditas?.isProvince()}
                                        <li>
                                            <b>&{'pilih_lokasi_harga.label'}</b>
                                            <select class="form-control select2 lokasi" style="width: 20%">
                                                <option>&{'pilih.label'}</option>
                                                #{list provinsiList, as:'p'}
                                                    <option value="${p.id}">${p.nama_provinsi}</option>
                                                #{/list}
                                            </select>
                                        </li><br><br>
                                    #{/if}
	                                *{#{if aktifUser != null && aktifUser.roleItems.contains(models.secman.Acl.COM_PRODUK_EDIT.namaRole)}
	                                    <li><a href="@{katalog.ProdukCtr.edit(produk?.id)}" class="btn btn-primary btn-sm"><i
	                                            class="fa fa-edit"></i> &{'ubah.label'}</a></li>
	                                #{/if}}*
                                    #{if produk?.userAllowEdit(aktifUser) && produk?.setuju_tolak != "setuju"}
                                        <li><a href="@{katalog.ProdukCtr.edit(produk?.id)}" class="btn btn-primary btn-sm"><i
                                                class="fa fa-edit"></i> &{'ubah.label'}</a></li>
                                    #{/if}
	                                #{if aktifUser != null && produk?.isNeedAprooval()==true && aktifUser.roleItems.contains(models.secman.Acl.COM_PENAWARAN_PERSETUJUAN_PRODUK.namaRole)}
	                                    <li><button id="btnTerima" type="button" value="setuju" class="btn btn-primary btn-sm approval"><i
	                                            class="fa fa-check-square-o"></i> &{'terima.label'}</button></li>
	                                    <li><button id="btnTolak" type="button" value="tolak" class="btn btn-danger btn-sm approval"><i
	                                            class="fa fa-ban"></i> &{'tolak.label'}</button></li>
	                                #{/if}
	                                #{if aktifUser != null && (aktifUser.isPp() || aktifUser.isPpk())}
                                        #{if produk.komoditas.apakah_iklan == false && produk.apakah_dapat_dibeli == true && showBuyButton == true}
                                            *{#{if produk?.getPrice() != "Rp 0,00"}}*
                                            #{if hargaUtama != "Rp 0,00" && hargaUtama != ""}
                                            <li><a href="@{purchasing.KeranjangBelanjaCtr.viewAddToBasket(produk?.id, produk?.daerah_id)}" name="addToBasketBtn" class="btn btn-info btn-sm"><i
	                                            class="fa fa-shopping-cart"></i> &{'beli.label'} </a></li>
                                            #{/if}
                                        #{/if}
	                                #{/if}
	                            </ul>
                            </div>
                        </div>

                        <!-- Modal -->
                        <div class="modal fade" id="rejectModal" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"
                                                aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                        <h4 class="modal-title" id="myModalLabel">&{'tolak.label'} &{'produk.label'}</h4>
                                    </div>
                                    <div class="modal-body">
                                        <div id="error-message" class="alert alert-danger" role="alert" style="display: none"></div>
                                        <div class="form-group">
                                            <label class="control-label">&{'alasan.label'} </label>
                                            <textarea id="alasan" class="form-control" name="alasan"></textarea>
                                        </div>
                                        * &{'wajib_diisi.label'}
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-primary tolak" onclick="funcTolak()">&{'tolak.label'}</button>
                                        <button type="button" class="btn btn-warning" data-dismiss="modal">&{'batal.label'}</button>
                                    </div>
                                </div>
                            </div>
                        </div>
					#{/form}
                </div>
            </div>
        </div>
        <br>
        <div class="row">
            <!-- List Gambar Produk -->
            <div class="col-md-12">
                #{if resultProdukGambar != null && resultProdukGambar.size() > 0}
                    <div id="carousel" class="carousel slide multi-item-carousel" style="position: unset;">
                        <div class="carousel-inner">
                            <div class="item active">
                                <div class="row">
                                    #{list resultProdukGambar, as:'pg'}
                                        <div class="col-xs-1">
                                            <div class="item">
                                            <a href="${pg}" data-toggle="lightbox" data-gallery="product-images" onerror="this.href='/public/images/image-not-found.png';">
                                                <img src="${pg}" class="img img-responsive" onerror="this.src='/public/images/image-not-found.png';" />
                                            </a>
                                        </div>
                                        </div>
                                    #{/list}
                                </div>
                            </div>
                        </div>
                        <a data-slide="prev" href="#carousel" class="left carousel-control">
                            <i class="fa fa-chevron-circle-left"></i>
                        </a>
                        <a data-slide="next" href="#carousel" class="right carousel-control">
                            <i class="fa fa-chevron-circle-right"></i>
                        </a>
                    </div>
                #{/if}
            </div>
        </div>
        <div class="row">
            <!-- Bottom Detail -->
            <div class="bottom-detail">
                <div class="detail-wrapper">
                    <div class="col-md-12">
                        <ul class="nav nav-tabs tab-detil-produk" role="tablist">
                            <li role="presentation" class='${tabLaporan ? "" : "active"}'>
								<a href="#spesifikasi" aria-controls="spesifikasi" role="tab" data-toggle="tab">&{'spesifikasi.label'}</a>
                            </li>
                            <li role="presentation">
								<a href="#riwayat-harga" aria-controls="riwayat-harga" role="tab" data-toggle="tab">&{'riwayat_harga.label'}</a>
							</li>
                            #{if aktifUser != null && aktifUser.roleItems.contains(models.secman.Acl.COM_PRODUK_EDIT.namaRole)}
                                <li role="presentation" id="riwayat-prod-tab">
                                    <a href="#riwayat-produk" aria-controls="riwayat-produk" role="tab"
                                       data-toggle="tab">&{'riwayat_produk.label'}</a>
                                </li>
                            #{/if}
                            <li role="presentation">
								<a href="#lampiran" aria-controls="lampiran" role="tab" data-toggle="tab">&{'lampiran.label'}</a>
                            </li>
                            #{if produk?.komoditas?.perlu_ongkir && (produk?.komoditas?.isRegency() || produk?.komoditas?.isProvince() || produk?.komoditas?.isNational())}
                            <li role="presentation">
								<a href="#ongkir" aria-controls="ongkir" role="tab" data-toggle="tab">&{'referensi_ongkos_kirim.label'}</a>
                            </li>
                            #{/if}
                            <li role="presentation" class='${tabLaporan ? "active" : ""}'>
                                <a href="#laporkan" aria-controls="laporkan" role="tab" data-toggle="tab">&{'laporkan.label'}</a>
                            </li>
                            #{if produk?.apakah_ditayangkan==true }
                                <li role="presentation" class='${tabDiskusiProduk ? "active" : ""}'>
                                    <a href="#diskusi-produk" aria-controls="diskusi-produk" role="tab" data-toggle="tab">&{'diskusi_produk.label'}</a>
                                </li>
                            #{/if}
                        </ul>

                        <div class="tab-content">
                            <div role="tabpanel" class='tab-pane ${tabLaporan ? "" : "active"}' id="spesifikasi">
                                <div class="detail-list">
                                    <div class="detail-item">
                                        <div class="row">
                                            <div class="detail-heading col-md-2">&{'nama_produk.label'}</div>
                                            <div class="detail-description col-md-10">${produk?.nama_produk}</div>
                                        </div>
                                    </div>
                                    <div class="detail-item">
                                        <div class="row">
                                            <div class="detail-heading col-md-2">&{'merk.label'}</div>
                                            <div class="detail-description col-md-10">${produk?.nama_manufaktur}</div>
                                        </div>
                                    </div>
                                    <div class="detail-item">
                                        <div class="row">
                                            <div class="detail-heading col-md-2">&{'nomor_produk_penyedia.label'}</div>
                                            <div class="detail-description col-md-10">${produk?.no_produk_penyedia}</div>
                                        </div>
                                    </div>
                                    <div class="detail-item">
                                        <div class="row">
                                            <div class="detail-heading col-md-2">&{'unit_pengukuran.label'}</div>
                                            <div class="detail-description col-md-10">${produk?.nama_unit_pengukuran}</div>
                                        </div>
                                    </div>
                                    <div class="detail-item">
                                        <div class="row">
                                            <div class="detail-heading col-md-2">&{'jenis_produk.label'}</div>
                                            <div class="detail-description col-md-10">${produk?.jenis_produk}</div>
                                        </div>
                                    </div>
                                    <div class="detail-item">
                                        <div class="row">
                                            <div class="detail-heading col-md-2">TKDN(%)</div>
                                            <div class="detail-description col-md-10">${produk?.tkdn_produk}</div>
                                        </div>
                                    </div>
                                    <div class="detail-item">
                                        <div class="row">
                                            <div class="detail-heading col-md-2">&{'berlaku_sampai.label'}</div>
                                            <div class="detail-description col-md-10">${produk?.berlaku_sampai}</div>
                                        </div>
                                    </div>
                                    <div class="detail-item">
                                        <div class="row">
                                            <div class="detail-heading col-md-2">&{'url_produk.label'}</div>
                                            <div class="detail-description col-md-10">${produk?.url_produk}</div>
                                        </div>
                                    </div>
                                    #{list produk?.specifications, as:'spek'}
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">${spek.label_atribut}</div>
                                                <div class="detail-description col-md-10">${spek.atribut_value}</div>
                                            </div>
                                        </div>
                                    #{/list}
                                    #{list spesifikasiProduk, as:'spesifikasi'}
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">${spesifikasi.label}</div>
                                                <div class="detail-description col-md-10">${spesifikasi.deskripsi}</div>
                                            </div>
                                        </div>
                                    #{/list}
                                </div>
                            </div>
                            <div role="tabpanel" class="tab-pane" id="riwayat-harga">
                                <div style="overflow-x: auto">
                                #{if !produk?.komoditas?.isNational()}
                                    <div class="detail-list">
                                        <div class="detail-item">
                                            <div class="row">
                                                #{if produk?.komoditas?.isRegency()}
                                                    <div class="detail-heading col-md-2">&{'kabupaten.label'}</div>
                                                    <div class="detail-description col-md-10">
                                                        <select class="form-control select2 daerah" style="width: 20%">
                                                            <option>&{'pilih.label'}</option>
                                                            #{list kabupatenList, as:'k'}
                                                                <option value="${k.id}">${k.nama_kabupaten}</option>
                                                            #{/list}
                                                        </select>
                                                    </div>
                                                #{/if}
                                                #{elseif produk?.komoditas?.isProvince()}
                                                    <div class="detail-heading col-md-2">&{'provinsi.label'}</div>
                                                    <div class="detail-description col-md-10">
                                                        <select class="form-control select2 daerah" style="width: 20%">
                                                            <option>&{'pilih.label'}</option>
                                                            #{list provinsiList, as:'p'}
                                                                <option value="${p.id}">${p.nama_provinsi}</option>
                                                            #{/list}
                                                        </select>
                                                    </div>
                                                #{/elseif}
                                            </div>
                                        </div>
                                    </div>
                                #{/if}
                                <table class="table table-striped" id="table-riwayat-harga">
                                    <thead>
                                    <tr>
                                        <th class="header-center">&{'tanggal.label'}</th>
                                        <th class="header-center">&{'kurs.label'}</th>
                                        #{list sortedMapAtributHarga.values(), as:'label_harga'}
                                            <th class="header-center">${label_harga}</th>
                                        #{/list}
                                    </tr>
                                    </thead>
                                    <tbody id="tBody-riwayat-harga">
                                        #{if produk?.komoditas?.isNational()}
                                            #{list produkHarga, as:'item'}
                                                <tr>
                                                    <td class="column-center">${item.key}</td>
                                                    <td class="column-center">${item.value.get(0).nama_kurs}</td>
                                                    <!-- {list item.harga.values(),as:'harga'} -->
                                                        <!-- <td class="column-center">$item.harga}</td> -->
                                                    <!-- {/list} -->
                                                    #{list sortedMapAtributHarga, as:'attr'}
                                                        <td class="column-center">${produk.getHargaByAttr(attr.key, item.value)}</td>
                                                    #{/list}
                                                </tr>
                                            #{/list}
                                        #{/if}
                                    </tbody>
                                </table>
                                </div>
                            </div>
                            <div role="tabpanel" class="tab-pane" id="riwayat-produk">
                                <div style="overflow-x: auto">
                                <table class="table table-striped" id="table-riwayat-produk">
                                    <thead>
                                    <tr>
                                        <th>&{'waktu.label'}</th>
                                        <th>&{'oleh.label'}</th>
                                        <th>&{'aksi.label'}</th>
                                        <th>&{'perubahan_alasan.label'}</th>
                                    </tr>
                                    </thead>
                                    <tbody id="tBody">
                                    </tbody>
                                </table>
                                </div>
                            </div>
                            <div role="tabpanel" class="tab-pane" id="lampiran">
                                <div class="list-group">
                                    #{list produk?.documents, as:'doc'}
                                        #{if !org.apache.http.util.TextUtils.isEmpty(doc.urlDownload)}
                                            <a href="${doc.urlDownload}" class="list-group-item list-group-item-action">
*{                                                ${doc.dok_id_attachment}}*
                                                ${doc.original_file_name}
                                            </a>
                                        #{/if}
                                    #{/list}
                                </div>
                            </div>
                            <div role="tabpanel" class="tab-pane" id="diskusi-produk">
                                <div class="col-md-12" id="diskusi-produk-one">
                                    #{list listGetProdukDiskusiByIdProduk, as:'item'}
                                        <div class="panel-group">
                                            <div class="panel panel-default">
                                                <div class="panel-heading">
                                                    <div class="row msg_container base_receive">
                                                        <div class="col-md-1">
                                                            <img src="/public/images/icon-chat-list.png" class=" img-responsive " onerror="this.src='/public/images/image-not-found.png';" style="width: 35px;height: 35px;">
                                                        </div>
                                                        <div class="col-md-11 col-xs-11" style="right: 40px;">
                                                            <p><b>${item.user_nama}</b></p>
                                                            <a class="collapse-comment" data-toggle="collapse" id="collapse-comment-${item.id}" data-parent="#accordion" style="text-decoration: none" href="#${item.id}" value="${item.id}">
                                                                ${item.diskusi} <span id="fa-toggle-left" class="fa fa-toggle-left"></span>
                                                            </a>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div id="${item.id}" class="collapse" style="height: auto">
                                                    <div class="panel-body">
                                                        <!-- looping sub-diskusi -->
                                                        <div class="col-md-12" id="sub-comment-${item.id}">
                                                            #{list listGetProdukDiskusiBalasByIdProduk, as:'itemBalas'}
                                                                #{if itemBalas.produk_diskusi_id == item.id}
                                                                    <div class="row msg_container base_receive">
                                                                        <div class="col-md-2" align="right">
                                                                            <img src="/public/images/icon-chat-list.png" class=" img-responsive " onerror="this.src='/public/images/image-not-found.png';" style="width: 35px;height: 35px;">
                                                                        </div>
                                                                        <div class="col-md-10 col-xs-10">
                                                                            <p><b>${itemBalas.user_nama}</b></p>
                                                                            ${itemBalas.diskusi_balas}
                                                                        <hr>
                                                                        </div>
                                                                    </div>
                                                                #{/if}
                                                            #{/list}
                                                        </div>
                                                        #{if aktifUser!=null}
                                                            <div class="row msg_container base_receive">
                                                                <div class="col-md-2" align="right">
                                                                </div>
                                                                <div class="col-md-10 col-xs-12" id="my_sub_comment_textarea" style="bottom: 40px;">
                                                                    <div class="one_full_a3" value="${item.id}">
                                                                        <textarea id="sub-comment-text-${item.id}" name="sub_comment_textarea-${item.id}" data-layer-textarea ='${item.id}' class="form-control R_C" placeholder="&{'produk.detailproduk.help.info'}" style="height: 33px;"></textarea>
                                                                    </div>
                                                                    <div class="col-md-12" align="center" id="button-comment-${item.id}" style="display: none;">
                                                                        <button class="btn btn-primary btn-md" id="submit-sub-comment" value="${item.id}" type="submit"><i class="fa fa-send-o"></i> &{'kirim.label'}</button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        #{/if}
                                                        <!-- endlooping sub-diskusi -->
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    #{/list}
                                </div>
                                #{if aktifUser!=null}
                                    <div class="panel-group">
                                        <div class="col-md-12">
                                            <div class="col-md-12 comment-diskusi">
                                                <div class="col-md-12">
                                                    <!-- <input type="text" id="comment-text" name="comment_textarea" class="form-control" required> -->
                                                    <textarea id="comment-text-diskusi" name="comment_textarea" class="form-control" placeholder="&{'produk.detailproduk.help.info'}" style="height: 33px;"></textarea>
                                                    <input type="hidden" name="user_penerima" class="user_penerima" id="user_penerima" value="${user_produk.id}">
                                                </div>
                                                <br>
                                                <br>
                                                <div class="col-md-12" id="button-diskusi" align="center" style="display: none; top: 10px;">
                                                    <button class="btn btn-primary btn-md" id="submit-comment" type="submit"><i class="fa fa-send-o"></i> &{'kirim.label'}</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                #{/if}
                                #{else }
                                    <div class="col-md-12">
                                        <div class="alert alert-info alert-dismissible">
                                            <button class="close" data-dismiss="alert" aria-label="Close">
                                                <i class="fa fa-close" aria-hidden="true"></i>
                                            </button>
                                            <p></p><p style="text-align:center"><strong>&{'produk.detailproduk.diskusi.login.info'} <a href="@{LoginCtr.index()}" target="_blank">&{'masuk.label'}</a></strong></p>
                                        </div>
                                    </div>
                                #{/else}
                            </div>
                            <div role="tabpanel" class='tab-pane ${tabLaporan ? "active": ""}' id="laporkan">
                                <div class="panel-group">
                                    <div class="panel panel-default">
                                        <div class="panel-heading"><b>&{'informasi_pengaduan.label'}</b></div>
                                        <div class="panel-body">
                                            <ol>
                                                <li>&{'produk.detailproduk.laporan.label1'}</li>
                                                <li>&{'produk.detailproduk.laporan.label2'}</li>
                                                <li>&{'produk.detailproduk.laporan.label3'}</li>
                                                <li>&{'produk.detailproduk.laporan.label4'}</li>
                                            </ol>
                                        </div>
                                    </div>
                                </div>
                            	<div class="row">
                                    #{form @katalog.ProdukCtr.reportSubmit(), method:'POST', class:'form-horizontal', enctype:'multipart/form-data'}
	                            		<div class="toolbar">
		                            		<button class="btn btn-primary btn-md" id="btnKirim" disabled="disabled" type="submit">&{'kirim.label'}</button>
		                            	</div>
                                        <input type="hidden" name="rpt.item_id" value="${produk?.id}"/>
                                        <div class="form-group required">
                                            <label class="control-label col-md-2">&{'jenis_laporan.label'}</label>
                                            <div class="col-md-4">
                                                <select required class="form-control" name="rpt.konten_kategori_id">
                                                    <option value="">&{'pilih.label'}</option>
                                                    #{list listJenisLaporan, as:'lap'}
                                                        <option value="${lap.id}">${lap.nama_kategori}</option>
                                                    #{/list}
                                                </select>
                                            </div>
                                        </div>
		                            	<div class="form-group required">
		                            		<label class="control-label col-md-2">&{'nama.label'}</label>
		                            		<div class="col-md-4">
		                            			<input name="rpt.reporter_name" rangelength="3,30" value="${rpt?.reporter_name}" class="form-control alphanumeric" required />
		                            		</div>
		                            	</div>
		                            	<div class="form-group required">
		                            		<label class="control-label col-md-2">&{'nik_nip.label'}</label>
		                            		<div class="col-md-4">
		                            			<input name="rpt.reporter_nik" rangelength="10,30" class="form-control digits" required value="${rpt?.reporter_nik}" />
		                            		</div>
		                            	</div>
                                        <div class="form-group required">
                                            <label class="control-label col-md-2">&{'nomor_telp.label'}</label>
                                            <div class="col-md-4">
                                                <input name="rpt.reporter_telp" size="30" value="${rpt?.reporter_telp}" class="form-control" required />
                                            </div>
                                        </div>
		                            	<div class="form-group required">
		                            		<label class="control-label col-md-2">&{'email.label'}</label>
		                            		<div class="col-md-4">
		                            			<input type="email" name="rpt.reporter_email" size="30" value="${rpt?.reporter_email}" class="form-control" required />
		                            		</div>
		                            	</div>
		                            	<div class="form-group required">
		                            		<label class="control-label col-md-2">&{'alasan.label'}</label>
		                            		<div class="col-md-4">
		                            			<textarea name="rpt.message" class="form-control alphanumeric" rows="10" style="resize: vertical" required>${rpt?.message}</textarea>
		                            		</div>
		                            	</div>
                                        #{if aktifUser!=null}
                                        <div class="form-group">
                                            <label class="col-md-2 control-label">&{'unggah_file.label'}</label>
                                            <div class="col-md-9">
                                                <p>&{'maksimum.label'} &{'ukuran_file.label'} 5MB: .docx, .xlsx, .pdf, .zip dan .jpeg</p>
                                                <input type='file' name="file" accept=".pdf,.zip,.jpeg"/>
                                            </div>
                                        </div>
                                        #{/if}
                                        <div class="form-group">
                                            <div class="col-md-offset-2 col-md-10">
                                                <div class="checkbox">
                                                    <label>
                                                        <input type="checkbox" id="checkAgree"/>
                                                        &{'produk.detailproduk.laporan.label5'}
                                                    </label>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="col-md-12">
                                                <div class="col-md-offset-2 col-md-4">
                                                    <label for="code">&{'produk.detailproduk.laporan.label6'}: </label>
                                                    <br />
                                                    <img src="@{katalog.ProdukCtr.captcha(randomID)}" style="height: 50px; width: 150px;" />
                                                    <br />
                                                    <input type="text" name="code" id="code" size="18" value="" required/>
                                                    <input type="hidden" name="randomID" value="${randomID}" />
                                                </div>
                                            </div>
                                        </div>
                                    #{/form}
                            	</div>
                            </div>
                            #{if produk?.komoditas?.perlu_ongkir && (produk?.komoditas?.isRegency() || produk?.komoditas?.isProvince() || produk?.komoditas?.isNational())}
                            <div role="tabpanel" class="tab-pane" id="ongkir">
                                <div style="overflow-x: auto">
                                <table class="table table-striped" id="table-ongkir">
                                    <thead>
                                    <tr>
                                        <th>&{'provinsi.label'}</th>
                                        <th>&{'kabupaten_kota.label'}</th>
                                        <th>&{'referensi_ongkos_kirim.label'}</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                        #{list listOngkir, as:'ok'}
                                        <tr>
                                            <td class="text-center">${ok.provinsi}</td>
                                            <td class="text-center">${ok.kabupaten}</td>
                                            <td class="text-right">${ext.FormatUtils.formatCurrencyRupiah(ok.ongkir)}</td>
                                        </tr>
                                        #{/list}
                                    </tbody>
                                </table>
                                </div>
                            </div>
                            #{/if}
                        </div>
                    </div>
                </div>
            </div>
        </div>
	#{/if}
	#{else }
		<div class="row">
			<p>&{'produk.label'} &{'tidak_ditemukan.label'}</p>
		</div>
	#{/else}
</div>

*{<div class="container-fluid" id="mobile-detail-produk">}*
	*{#{include 'katalog/ProdukCtr/mobile/detail.html' /}}*
	*{<div id="btn-footer">}*
		*{<div class="row">}*
			*{<div class="col-xs-4">}*
				*{<a href="#">&{'ubah.label'}</a>}*
			*{</div>}*
			*{<div class="col-xs-4">}*
				*{<a href="#">&{'beli.label'}</a>}*
			*{</div>}*
			*{<div class="col-xs-4">}*
				*{<a href="#">&{'bandingkan.label'}</a>}*
			*{</div>}*
		*{</div>}*
	*{</div>}*
*{</div>}*
#{if aktifUser != null && produk?.apakah_ditayangkan==true }
    *{#{include 'katalog/ProdukCtr/parts/_chatProduk.html'/}}*
#{/if}

#{produk.productBasketModal /}
#{validationPackage/}
#{set 'moreScripts'}
<script type="text/javascript" src="@{'public/javascripts/product.js'}"></script>
<script type="text/javascript">
    var attrHarga = JSON.parse('${new com.google.gson.Gson().toJson(sortedMapAtributHarga)}'.replace(/&quot;/g,'"'));
    var nf = new Intl.NumberFormat("en-US");
    var loadTabRwPro = true;
    $(document).ready(function () {
        $('.form-horizontal').validate({
            highlight: function(element) {
                $(element).parents('.form-group').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).parents('.form-group').removeClass('has-error');
            }
        });

        // currency format
        $(".currency").convertThousand();
        $("#table-ongkir").DataTable({serverSide: false});

    });

	$("body").on("click", "#riwayat-prod-tab", function() {
        if(loadTabRwPro){
            $("#table-riwayat-produk > tbody > tr").remove();
            $.ajax({
                url : "@{katalog.ProdukCtr.getRiwayatProduk()}",
                type : "get",
                dataType : "json",
                data : {
                    id : '${produk?.id}'
                },
                success : function(data) {
                    var content = "";
                    $.each(data, function(index, val) {
                        content += "<tr>"
                                + "<td>" + val.created_date + "</td>"
                                + "<td>" + val.oleh + "</td>"
                                + "<td>" + val.aksi + "</td>"
                                + "<td>" + val.deskripsi + "</td>"
                                + "</tr>"
                    });
                    $("#table-riwayat-produk").append(content);
                }
            });
            loadTabRwPro = false;
        }
	});

	$("body").on("change", ".daerah", function () {
        var daerahId = $(this).val();
        $("#table-riwayat-harga > tbody > tr").remove();
        $.ajax({
            url : "@{katalog.ProdukCtr.getRiwayatHarga()}",
            type : "GET",
            dataType : "json",
            data : {
                produk_id : '${produk?.id}',
                komoditas_id : '${produk?.komoditas_id}',
                daerah_id : daerahId,
                kelas_harga : '${produk?.komoditas?.kelas_harga}'
            },
            success : function (data) {
                var content = "";
                $.each(data, function(index, val) {
                    content += "<tr>"
                                + "<td class='column-center'>" + val.tanggal+ "</td>"
                                + "<td class='column-center'>" + val.nama_kurs + "</td>";
                    $.each(attrHarga, function(key, label){
                        var hrg = nf.format(val.harga[key]);
                        if(val.harga[key] == undefined) hrg = 0;
                        content += "<td class='column-center'>" + hrg + "</td>";
                    });

                    content += "</tr>";
                });
                $("#table-riwayat-harga").append(content);

            }
        })
	})


    $("body").on("click", ".approval", function() {
		var this_val = $(this).val();

		$("#buttonValue").val(this_val);

		if(this_val == "setuju"){
            var conf = confirm("Apakah anda yakin Menyetujui Produk?");
            if(conf == true){
                $("#formPersetujuan").submit();
            }
		}else{
        	$("#rejectModal").modal();
		}

    });

    $("body").on("click", ".tolak", function() {
        var alasan_val = $("#alasan").val();
        var conf = confirm("Apakah anda yakin Menolak Produk?");

        if(alasan_val == ""){
            if (conf == true) {
                $("#error-message").html("&{'produk.tolak.alasan.error'}");
                $("#error-message").show();
            }
        }else{
            if (conf == true) {
                $("#formPersetujuan").submit();
            }
        }
    });

    var checker = document.getElementById('checkAgree');
    var sendbtn = document.getElementById('btnKirim');

    checker.onchange = function(){
        if(this.checked){
            sendbtn.disabled = false;
        } else {
            sendbtn.disabled = true;
        }
    }

    $("#submit-comment").click(function(){
       var formData = {
                'comment'   : $('#comment-text-diskusi').val(),
                'user_penerima'   : $('#user_penerima').val(),
                'produk_id' : '${produk?.id}'
            };

            $.ajax({
                type: 'POST',
                url: '@{katalog.ProdukDiskusiCtr.createSubmitComment()}',
                data: formData,
                success: function(data){
                    $('#diskusi-produk-one').append('<div class="panel-group"><div class="panel panel-default"><div class="panel-heading"><div class="row msg_container base_receive"><div class="col-md-1"><img src="/public/images/icon-chat-list.png" class=" img-responsive " onerror="this.src="/public/images/image-not-found.png";" style="width: 35px;height: 35px;"></div><div class="col-md-11 col-xs-11" style="right: 40px;"><p><b>'+data.namaUser+'</b></p>'+$('#comment-text-diskusi').val()+'</div></div></div></div></div>');
                    $('#comment-text-diskusi').val('');
                }
            });

    });

    $(document).on("click", "#submit-sub-comment", function() {
        var id_comment = $(this).attr("value");
        var sub_diskusi = $('#sub-comment-text-'+id_comment+'').val();

        var formData = {
                            'comment_balas'   : sub_diskusi,
                            'produk_diskusi_id' : id_comment,
                            'produk_id' : '${produk?.id}'
                        };

        $.ajax({
            type: 'POST',
            url: '@{katalog.ProdukDiskusiBalasCtr.createSubmitCommentBalas}',
            data: formData,
            success: function(data){
                $('#sub-comment-'+id_comment+'').append('<div class="row msg_container base_receive"><div class="col-md-2" align="right"><img src="/public/images/icon-chat-list.png" class=" img-responsive " onerror="this.src="/public/images/image-not-found.png";" style="width: 35px;height: 35px;"></div><div class="col-md-10 col-xs-10"><p><b>'+data.namaUser+'</b></p>'+sub_diskusi+'<hr></div></div>');
                $('#sub-comment-text-'+id_comment+'').val("");
            }
        });

      });

    $('textarea.expand').focus(function () {
        $(this).animate({ height: "10em" }, 1000);
        $('#button-comment').fadeIn("slow");
    });

    $(".comment-diskusi textarea").focus(function() {
        $(this).animate({
            height: 100
        }, "normal");

        $('#button-diskusi').fadeIn("slow");

    }).blur(function() {
        $(this).animate({
            height: 33
        }, "normal");

        $('#button-diskusi').fadeOut("slow");
    });

    $(".one_full_a3 textarea").focus(function() {
        $(this).animate({
            height: 100
        }, "normal");

        var id_comment = $(this).attr("data-layer-textarea");


        $('#button-comment-'+id_comment+'').fadeIn("slow");

    }).blur(function() {
        $(this).animate({
            height: 33
        }, "normal");

        var id_comment = $(this).attr("data-layer-textarea");

        $('#button-comment-'+id_comment+'').fadeOut("slow");

        $('#button-comment-'+id_comment+'').click(function(){
            $(this).data('clicked', true);
            setInterval(function(){
                $('#button-comment-'+id_comment+'').fadeOut("slow");
            }, 3000);
        });

    });

    $(document).on('click', '.collapse-comment', function (e) {
        var id_comment = $(this).attr("value");
        // var menuItem = $('#collapse-comment-'+id_comment+'').val();
        var menuItem = $( e.currentTarget );
        // console.log(menuItem);

        if (menuItem.attr( 'aria-expanded') === 'true') {
            $('#fa-toggle-left').removeClass('fa fa-toggle-left').addClass('fa fa-toggle-down');
            $(this).attr( 'aria-expanded', 'false');
        } else {
            $('#fa-toggle-left').removeClass('fa fa-toggle-down').addClass('fa fa-toggle-left');
            $(this).attr( 'aria-expanded', 'true');
        }
    });

    $(".lokasi").change(function(){
        var type = '';
        if('${produk?.komoditas?.kelas_harga}' == 'kabupaten'){
            type = 'regency';
        }else if('${produk?.komoditas?.kelas_harga}' == 'provinsi') {
            type = 'province';
        }
        var lokasi = $(this).val();
        var pathname = window.location.pathname;
        var newUrl = pathname+'?lang=id&type='+type+'&location_id='+lokasi;
        window.location.href = newUrl;
    });


</script>
#{/set}

